PETSc version 3.15.5
Fix/Edit manual page

# PetscDataTypeFromString

Gets the enum value of a PETSc datatype represented as a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscDataTypeFromString(const char*name, PetscDataType *ptype,PetscBool *found)

Not collective

### Input Parameter

| name | - the PETSc datatype name (for example, DOUBLE or real or Scalar)

### Output Parameter

| ptype | - the enum value
| found | - the string matches one of the data types

### See Also

PetscDataType, PetscDataTypeToMPIDataType(), PetscDataTypeGetSize()

### Level

advanced

### Location

src/sys/objects/ptype.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages